## cleware-traffic-light 1.0.8~git20240522.f5e418d

=== Makefile ===
.PHONY: test test-cov

test:
	PYTHONPATH=. pytest test -s

test-cov:
	PYTHONPATH=. pytest test --cov=traffic_light --cov-report term-missing

=== requirements.txt ===
pyusb >= 1.2.1

=== debian/changelog ===
cleware-traffic-light (1.0.8~git20240522.f5e418d-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Apr 2025 14:07:31 +0200

cleware-traffic-light (1.0.8~git20240522.f5e418d-1) unstable; urgency=medium

  * Initial Debian release. (Closes: #1100411).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 13 Mar 2025 16:05:04 +0100

=== debian/control ===
Source: cleware-traffic-light
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
 python3-usb,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/joshuarost/cleware-traffic-light
Vcs-Git: https://salsa.debian.org/python-team/packages/cleware-traffic-light.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/cleware-traffic-light
Testsuite: autopkgtest-pkg-pybuild

Package: python3-cleware-traffic-light
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Cleware USB traffic light Python module
 The package supports multiple traffic light controls from the command
 line and also the usage of the Python module in your own Python
 application.
 .
 This package contains the Python module for controlling Cleware Traffic
 Lights.

Package: cleware-traffic-light
Section: electronics
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-cleware-traffic-light (>= ${source:Version}),
Description: CLI tool to control the cleware USB traffic light
 The package supports multiple traffic light controls from the command
 line and also the usage of the Python module in your own Python
 application.
 .
 This package contains the CLI utility for controlling Cleware Traffic
 Light.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_DESTDIR=debian/tmp
export PYBUILD_DESTDIR=debian/tmp

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	cp -av traffic_light cleware_traffic_light

override_dh_install:
	mv debian/tmp/usr/bin/ctl debian/tmp/usr/bin/cleware-traffic-light
	dh_install

override_dh_clean:
	dh_clean
	rm -Rfv cleware_traffic_light.egg-info/
	rm -Rfv cleware_traffic_light/

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=1.0.8~git%cd.%h" \
https://github.com/joshuarost/cleware-traffic-light.git \
heads/master debian
